package intrinsic.mx.rpc;

public class ActiveCalls extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ActiveCalls() {
}


/** Static Methods */

/** Methods */
public native intrinsic.mx.rpc.AsyncToken removeCall(String arg0);
public native boolean hasActiveCalls();
public native boolean wasLastCall(String arg0);
public native intrinsic.mx.rpc.AsyncToken cancelLast();
public native intrinsic.Array getAllMessages();
public native void addCall(String arg0, intrinsic.mx.rpc.AsyncToken arg1);

}
